curl --request GET \
--url https://api.hubapi.com/marketing/marketing-events/2026-03 \
--header 'Authorization: Bearer <token>'{
"results": [
{
"createdAt": "2023-11-07T05:31:56Z",
"customProperties": [
{
"name": "<string>",
"value": "<string>"
}
],
"eventName": "<string>",
"objectId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"appInfo": {
"id": "<string>",
"name": "<string>"
},
"attendees": 123,
"cancellations": 123,
"endDateTime": "2023-11-07T05:31:56Z",
"eventCancelled": true,
"eventCompleted": true,
"eventDescription": "<string>",
"eventOrganizer": "<string>",
"eventStatus": "<string>",
"eventStatusV2": "<string>",
"eventType": "<string>",
"eventUrl": "<string>",
"externalEventId": "<string>",
"noShows": 123,
"registrants": 123,
"startDateTime": "2023-11-07T05:31:56Z"
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}curl --request GET \
--url https://api.hubapi.com/marketing/marketing-events/2026-03 \
--header 'Authorization: Bearer <token>'{
"results": [
{
"createdAt": "2023-11-07T05:31:56Z",
"customProperties": [
{
"name": "<string>",
"value": "<string>"
}
],
"eventName": "<string>",
"objectId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"appInfo": {
"id": "<string>",
"name": "<string>"
},
"attendees": 123,
"cancellations": 123,
"endDateTime": "2023-11-07T05:31:56Z",
"eventCancelled": true,
"eventCompleted": true,
"eventDescription": "<string>",
"eventOrganizer": "<string>",
"eventStatus": "<string>",
"eventStatusV2": "<string>",
"eventType": "<string>",
"eventUrl": "<string>",
"externalEventId": "<string>",
"noShows": 123,
"registrants": 123,
"startDateTime": "2023-11-07T05:31:56Z"
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
The cursor indicating the position of the last retrieved item.
The limit for response size. The default value is 10, the max number is 100